Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::HardwareIndexBufferSharedPtr Class Reference

Shared pointer implementation used to share index buffers. More...

`#include <OgreHardwareIndexBuffer.h>`

Inheritance diagram for Ogre::HardwareIndexBufferSharedPtr:

[legend]
List of all members.

## Public Member Functions
| HardwareIndexBufferSharedPtr ()
| HardwareIndexBufferSharedPtr (HardwareIndexBuffer *buf)
HardwareIndexBuffer & | operator * () const
HardwareIndexBuffer * | operator-> () const
HardwareIndexBuffer * | get () const
void | bind (HardwareIndexBuffer *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
HardwareIndexBuffer * | getPointer () const
bool | isNull (void) const
void | setNull (void)
## Protected Member Functions
void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< HardwareIndexBuffer > &other)
## Protected Attributes
HardwareIndexBuffer * | pRep
unsigned int * | pUseCount

## Detailed Description

Shared pointer implementation used to share index buffers.

Definition at line 70 of file OgreHardwareIndexBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr | ( |  | ) |

| Definition at line 73 of file OgreHardwareIndexBuffer.h.

Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr | ( | HardwareIndexBuffer * | buf | ) | `[explicit]`

## Member Function Documentation

void Ogre::SharedPtr< HardwareIndexBuffer >::bind | ( | HardwareIndexBuffer * | rep | ) | `[inherited]`

| Binds rep to the SharedPtr. Remarks: Assumes that the SharedPtr is uninitialised! Definition at line 141 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareIndexBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 195 of file OgreSharedPtr.h.

HardwareIndexBuffer * Ogre::SharedPtr< HardwareIndexBuffer >::get | ( |  | ) | const`[inherited]`

| Definition at line 135 of file OgreSharedPtr.h.

HardwareIndexBuffer * Ogre::SharedPtr< HardwareIndexBuffer >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 153 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareIndexBuffer >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 155 of file OgreSharedPtr.h.

HardwareIndexBuffer & Ogre::SharedPtr< HardwareIndexBuffer >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 133 of file OgreSharedPtr.h.

HardwareIndexBuffer * Ogre::SharedPtr< HardwareIndexBuffer >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 134 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareIndexBuffer >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 169 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareIndexBuffer >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 157 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareIndexBuffer >::swap | ( | SharedPtr< HardwareIndexBuffer > & | other | ) | `[protected, virtual, inherited]`

| Definition at line 206 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareIndexBuffer >::unique | ( |  | ) | const`[inherited]`

| Definition at line 149 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwareIndexBuffer >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 150 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareIndexBuffer >::useCountPointer | ( |  | ) | const`[inherited]`

| Definition at line 151 of file OgreSharedPtr.h.

## Member Data Documentation

HardwareIndexBuffer * Ogre::SharedPtr< HardwareIndexBuffer >::pRep`[protected, inherited]`

| Definition at line 50 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareIndexBuffer >::pUseCount`[protected, inherited]`

| Definition at line 51 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreHardwareIndexBuffer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:22 2007